#ifndef _DNS_H_
#define _DNS_H_

struct mx_rdata_s {
  int type;
  int preference;
  char *exchange;
};

typedef struct mx_rdata_s mx_rdata_t;

struct a_rdata_s {
  int type;
  unsigned int address;
};

typedef struct a_rdata_s a_rdata_t;

struct rdata_s {
  int type;
  union {
    mx_rdata_t mx;
    a_rdata_t a;
  } data;
};

typedef struct rdata_s rdata_t;


void free_rrs(void **resp);
mx_rdata_t** get_mx_rrs(char *domain);
mx_rdata_t** get_best_mx_rrs(char *domain);
a_rdata_t** get_a_rrs(char *domain);




#endif /* _DNS_H_ */  

  
